<!DOCTYPE html>
<html>
    <head>
        <title>Session topics</title>
    </head>
    <body>
        <script>
            var x; // creating variable using var keyword
            x = 6; // Assigning value to a variable
            var u; // Undefined datatype
            var a = 10;
            var b = 3.14; // Numeric type datatype consists of integer and decimal values
            var x = "javascript"; // String datatype
            var arr = ["a","b","c"]; // Array datatype
            var o = {firstname:"pavani",lastname:"durga",age:"21"} // Object datatype
            document.write(u + " " + a + " " + b + " " + x + " " + arr + " " + o + "<br>" + o.firstname);
            

            //session 3
            function ses3fun(){
                if(true){
                    var c1 = "red";
                    let c2 = "green"; // var and let variables scope is within the block only
                    const c3 = "blue";
                }
                {
                    let c = "innerlet";
                }
                document.write("<br>c1 "+c1);
                document.write("<br>c2 "+c2);
                document.write("<br>c3 "+c3);
                document.write("<br>c "+c);
            }
            ses3fun();
            var name = "pavani";
            function fun(){
                document.write(name); //closure property accessing the outer scope elements in inner function
            }
            function makeFunc() {
                var name = 'Mozilla';
                function displayName() {
                    alert(name);
                }
                return displayName;
            }

            var myFunc = new makeFunc();
            myFunc.makeFunc();
        </script>
    </body>
</html>
